## tmpl-expr-types

tmpl-expr-types

## Types and Values

enum | TmplSymbolType
enum | TmplExprType
enum | TmplExprBuiltin

## Object Hierarchy

        GBoxed
        ├── TmplExpr
        ├── TmplScope
        ╰── TmplSymbol

## Description

## Functions

## Types and Values

### enum TmplSymbolType

#### Members

TMPL_SYMBOL_EXPR |  |
TMPL_SYMBOL_VALUE |  |

### enum TmplExprType

#### Members

TMPL_EXPR_ADD |  |
TMPL_EXPR_SUB |  |
TMPL_EXPR_MUL |  |
TMPL_EXPR_DIV |  |
TMPL_EXPR_BOOLEAN |  |
TMPL_EXPR_NUMBER |  |
TMPL_EXPR_STRING |  |
TMPL_EXPR_GT |  |
TMPL_EXPR_LT |  |
TMPL_EXPR_NE |  |
TMPL_EXPR_EQ |  |
TMPL_EXPR_GTE |  |
TMPL_EXPR_LTE |  |
TMPL_EXPR_UNARY_MINUS |  |
TMPL_EXPR_STMT_LIST |  |
TMPL_EXPR_IF |  |
TMPL_EXPR_WHILE |  |
TMPL_EXPR_SYMBOL_REF |  |
TMPL_EXPR_SYMBOL_ASSIGN |  |
TMPL_EXPR_FN_CALL |  |
TMPL_EXPR_ANON_FN_CALL |  |
TMPL_EXPR_USER_FN_CALL |  |
TMPL_EXPR_GETATTR |  |
TMPL_EXPR_SETATTR |  |
TMPL_EXPR_GI_CALL |  |
TMPL_EXPR_REQUIRE |  |
TMPL_EXPR_AND |  |
TMPL_EXPR_OR |  |
TMPL_EXPR_INVERT_BOOLEAN |  |
TMPL_EXPR_ARGS |  |
TMPL_EXPR_FUNC |  |
TMPL_EXPR_NOP |  |
TMPL_EXPR_NULL |  |

### enum TmplExprBuiltin

#### Members

TMPL_EXPR_BUILTIN_ABS |  |
TMPL_EXPR_BUILTIN_CEIL |  |
TMPL_EXPR_BUILTIN_FLOOR |  |
TMPL_EXPR_BUILTIN_HEX |  |
TMPL_EXPR_BUILTIN_LOG |  |
TMPL_EXPR_BUILTIN_PRINT |  |
TMPL_EXPR_BUILTIN_REPR |  |
TMPL_EXPR_BUILTIN_SQRT |  |
TMPL_EXPR_BUILTIN_TYPEOF |  |
TMPL_EXPR_BUILTIN_ASSERT |  |
TMPL_EXPR_BUILTIN_SIN |  |
TMPL_EXPR_BUILTIN_TAN |  |
TMPL_EXPR_BUILTIN_COS |  |
TMPL_EXPR_BUILTIN_PRINTERR |  |
TMPL_EXPR_BUILTIN_CAST_BYTE |  |
TMPL_EXPR_BUILTIN_CAST_CHAR |  |
TMPL_EXPR_BUILTIN_CAST_I32 |  |
TMPL_EXPR_BUILTIN_CAST_U32 |  |
TMPL_EXPR_BUILTIN_CAST_I64 |  |
TMPL_EXPR_BUILTIN_CAST_U64 |  |
TMPL_EXPR_BUILTIN_CAST_FLOAT |  |
TMPL_EXPR_BUILTIN_CAST_DOUBLE |  |
TMPL_EXPR_BUILTIN_CAST_BOOL |  |